// NpMsgrUser.cpp: implementation of the CNpMsgrUser class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "NpMsgrUser.h"
#include "ConvertUTF.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CNpMsgrUser::CNpMsgrUser()
{
	Clear();
}

CNpMsgrUser::~CNpMsgrUser()
{
}

void CNpMsgrUser::Clear()
{
	m_wstrId = STR_EMPTY_WSTRING;
	m_strPassword = "";
	m_wstrNick = STR_EMPTY_WSTRING;
	m_wstrName = STR_EMPTY_WSTRING;
	m_wstrMobilePhone = STR_EMPTY_WSTRING;

	m_eLoginStatus = LS_LOGIN_READY;
	m_eOnlineStatus = ST_OFFLINE;
	m_eIPTStatus = STIPT_NA;
	
	m_nLocaleCode = 0;

	ClearAuthCookie();
}

void CNpMsgrUser::SetAuthCookie( LPCSTR strCookie )
{
	if(strCookie && strlen(strCookie) > 0)
	{
		m_strAuthCookie = strCookie;
	}
}
